/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.artifacts;

import de.intevation.gnv.state.InputData;

import java.util.Map;

/**
 * This artifact is used to be fed before the parameterization has started.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public interface PreSettingArtifact {


    /**
     *
     * @return the InputData which have been inserted before parameterization
     * has started.
     */
    Map<String,InputData> getPreSettings();

    /**
     *
     * @param preSettings
     */
    void setPreSettings(Map<String,InputData> preSettings);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
